Get the result of a purge request
Get the result of a purge request.
In: header
Path Parameters
The key of the source.
ID of the purge job.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/sources/string/v1/purge/string"{ "taskId": "string", "collectionType": "resources", "collectionKey": "string", "status": "SUCCESS", "deletedCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}Query pipeline executions POST
Query the pipeline executions of a source. The fields that can be used to filter or sort pipeline executions are: - `id`: The pipeline execution id. - `pipelineDefinitionId`: The pipeline definition id. - `createdAt`: The pipeline execution creation timestamp. - `updatedAt`: The pipeline execution last update timestamp. - `status`: The pipeline execution status. - `operation.action`: The action of the operation that triggered the pipeline execution. - `operation.taskId`: The id of the task that triggered the pipeline execution. - `operation.target.targetType`: The type of the target that triggered the pipeline execution. It can be 'RESOURCE' or 'RELATIONSHIP'. - `operation.target.type`: The type of the resource or relationship that triggered the pipeline execution. - `operation.target.id`: The id of the resource or relationship that triggered the pipeline execution. - `reviewAssignment.reviewerId`: The id of the reviewer assigned to review the operation that triggered the pipeline execution, if any. Note: this field is only available as a filter, not as a sort field. It also only supports the equality operator.
List purge operations GET
List purge operations.